org.apache.tapestry5.internal.services

## Class AttributeExpansionBinding

- java.lang.Object
- - org.apache.tapestry5.ioc.BaseLocatable
  - - org.apache.tapestry5.internal.bindings.AbstractBinding
    - - org.apache.tapestry5.internal.services.AttributeExpansionBinding

- All Implemented Interfaces:
    Binding, Binding2, AnnotationProvider, Locatable

      public class AttributeExpansionBinding
      extends AbstractBinding

  Wraps a `StringProvider` as a read-only `Binding`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeExpansionBinding(Location location, StringProvider provider)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `get()` Reads the current value of the property (or other resource).
    `boolean` | `isInvariant()` Returns false.

    - ### Methods inherited from class org.apache.tapestry5.internal.bindings.AbstractBinding

      `getAnnotation, getBindingGenericType, getBindingType, set`

    - ### Methods inherited from class org.apache.tapestry5.ioc.BaseLocatable

      `getLocation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AttributeExpansionBinding

          public AttributeExpansionBinding(Location location,
                                           StringProvider provider)

  - ### Method Detail

    - #### get

          public Object get()

      Description copied from interface: `Binding`
      Reads the current value of the property (or other resource). When reading properties of objects that are primitive types, this will return an instance of the wrapper type. In some cases, a binding is read only and this method will throw a runtime exception.

    - #### isInvariant

          public boolean isInvariant()

      Returns false. Expansions reference properties that may change arbitrarily.
      Specified by:
        `isInvariant` in interface `Binding`
      Overrides:
        `isInvariant` in class `AbstractBinding`

5.6.1 - Copyright © 2003-2020 The Apache Software Foundation.